export declare class ArtifactService {
    static getArtifactNames(type: string, accountName: string): PromiseLike<string[]>;
    static getArtifactVersions(type: string, accountName: string, artifactName: string): PromiseLike<string[]>;
    static getArtifactByContentReference(contentRef: string): PromiseLike<{
        reference: string;
    }>;
}
